// Hyperlinks.cpp : implementation file
//

#include "stdafx.h"
#include "win_pdf2htm.h"
#include "Hyperlinks.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CHyperlinks property page

IMPLEMENT_DYNCREATE(CHyperlinks, CPropertyPage)

CHyperlinks::CHyperlinks() : CPropertyPage(CHyperlinks::IDD)
{
	//{{AFX_DATA_INIT(CHyperlinks)
	m_bEnableLinks = FALSE;
	//}}AFX_DATA_INIT
}

CHyperlinks::~CHyperlinks()
{
}

void CHyperlinks::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CHyperlinks)
	DDX_Check(pDX, IDC_CHECK_ENABLE_LINKS, m_bEnableLinks);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CHyperlinks, CPropertyPage)
	//{{AFX_MSG_MAP(CHyperlinks)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CHyperlinks message handlers

void CHyperlinks::OnOK() 
{
	// TODO: Add extra validation here
	UpdateData(TRUE);
	AfxGetApp()->WriteProfileInt("CHyperlinks","m_bEnableLinks",m_bEnableLinks);
	CPropertyPage::OnOK();
}

BOOL CHyperlinks::OnInitDialog() 
{
	CPropertyPage::OnInitDialog();
	
	// TODO: Add extra initialization here
	m_bEnableLinks = AfxGetApp()->GetProfileInt("CHyperlinks","m_bEnableLinks",TRUE);
	UpdateData(FALSE);
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
