//////////////////////////////////////////////////////////////
//
//  Description	: PDF2HTML/BMP software
//  Author	: verypdf.com Inc
//  Version	: Ver1.2
//  Platform	: Windows95/98/Me/NT/2000/XP
//  Environment	: Visual C++ 6.0
//  Date	: 2002/04/03
//
//  Copyright(C) 2000--2003 verypdf.com Inc
//      
//  Contact infomation:
//        http://www.verypdf.com/
//        support@verypdf.com
//
//  This program is shareware; you can redistribute and/or 
//  modify it under the terms of the GNU General Public License.
//  See the GNU General Public License for more details.
//
//               Portion base on Xpdf code
//         Copyright 1996-2003 Glyph && Cog, LLC
//////////////////////////////////////////////////////////////
// win_pdf2htmDlg.h : header file
//
//{{AFX_INCLUDES()
#include "webbrowser2.h"
//}}AFX_INCLUDES

#if !defined(AFX_WIN_PDF2HTMDLG_H__B84EE622_1D4D_4EEA_9861_7B76289E160A__INCLUDED_)
#define AFX_WIN_PDF2HTMDLG_H__B84EE622_1D4D_4EEA_9861_7B76289E160A__INCLUDED_



#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "pdfrlib.h"
#include "GradientProgressCtrl.h"
#include <afxtempl.h>
#include "MenuSpawn.h"
#include "Label.h"
/////////////////////////////////////////////////////////////////////////////
// CWin_pdf2htmDlg dialog
typedef struct SCORECONVERTtag{
	CString szPDFName;
	CString szHTMName;
}SCORECONVERT,*LPSCORECONVERT;
class CWin_pdf2htmDlg : public CDialog
{
// Construction
public:
	void ShellOpen(LPCTSTR lpDoc);
	BOOL MyCheckKeyDown(HWND hWnd,WPARAM wParam, LPARAM lParam);

	void ConvertPdfPage2HTML(HPDF m_hPDF,int page, LPSPAGE ptrPage,CString m_strHtmlFile);
	BOOL ConvertPDF2HTML(CString m_strPDFFile,CString m_strHtmlFile);
	void ExportRSC(CString PathName,char *RID,char *RSCDIR,CString FileName);
	void WriteMainHtm(CString PathName,CString MainHtmName,int firstpage,int lastpage);
	void WriteIndexHtm(CString CssPathName,CString MainHtmName,int firstpage,int lastpage);
	void WriteBkMarkHtm(CString CssPathName,CString MainHtmName);
	void WriteNavHtm(CString CssPathName,CString MainHtmName,int firstpage,int lastpage);
	void WriteBmarkHtm(HPDF m_hPDF,CString CssPathName,CString MainHtmName,int firstpage,int lastpage);
	BOOL CheckExpired();
	void UpdateTitle();

	CWin_pdf2htmDlg(CWnd* pParent = NULL);	// standard constructor

	BOOL m_bTerminateProcessPage;
	CMenuSpawn	cSpawn;
	//ļм߳̾
	HANDLE					hNetBarThread;
	//Σ
	CRITICAL_SECTION			nCriticalSection;
	//ļ
	CArray<SCORECONVERT,SCORECONVERT&>	m_aryPDF2HTMFile;
// Dialog Data
	//{{AFX_DATA(CWin_pdf2htmDlg)
	enum { IDD = IDD_WIN_PDF2HTM_DIALOG };
	CLabel	m_ctrlPDFVer;
	CGradientProgressCtrl	m_wndPageProgress;
	CGradientProgressCtrl	m_wndFileProgress;
	CWebBrowser2	m_ctrlPDFImage;
	//}}AFX_DATA

	HCURSOR hAniCursor;
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CWin_pdf2htmDlg)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual void WinHelp(DWORD dwData, UINT nCmd = HELP_CONTEXT);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CWin_pdf2htmDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnFilePreferences();
	afx_msg void OnFileOpen();
	afx_msg void OnUpdateFileOpen(CCmdUI* pCmdUI);
	afx_msg void OnHelpAbout();
	afx_msg void OnFileExit();
	afx_msg void OnHelpSupport();
	afx_msg void OnDropFiles( HDROP );
	afx_msg void OnFileTop();
	afx_msg void OnUpdateFileTop(CCmdUI* pCmdUI);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnDestroy();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnRButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnHelpHelp();
	afx_msg void OnPause();
	afx_msg void OnClose();
	virtual void OnCancel();
	afx_msg void OnHelpRegister();
	afx_msg void OnHelpProductlist();
	afx_msg void OnHelpBuynow();
	afx_msg void OnHelpPdf2htmOnweb();
	afx_msg void OnToolsPdf2htm();
	afx_msg void OnToolsPdf2bmp();
	afx_msg void OnTimer(UINT nIDEvent);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_WIN_PDF2HTMDLG_H__B84EE622_1D4D_4EEA_9861_7B76289E160A__INCLUDED_)
